package cn.iocoder.yudao.framework.sms.core.client.dto;

import lombok.Data;
import lombok.ToString;


/**
 * 模板dto
 *
 * @author Jayden
 * @date 2024/11/6
 */
@Data
@ToString(callSuper = true)
public class SmsTemplateDTO {

    /**
     * 自增编号
     */
    private Long id;

    // ========= 模板相关字段 =========

    /**
     * 短信类型
     */
    private Integer type;
    /**
     * 启用状态
     */
    private Integer status;
    /**
     * 模板编码，保证唯一
     */
    private String code;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 模板内容
     */
    private String content;

    /**
     * 备注
     */
    private String remark;
    /**
     * 短信 API 的模板编号
     */
    private String apiTemplateId;

    // ========= 渠道相关字段 =========

    /**
     * 短信渠道编号
     */
    private Long channelId;
    /**
     * 短信渠道编码
     */
    private String channelCode;

    /**
     * 节点
     */
    private String nodeValue;
    /**
     * 运输方式
     */
    private Long transportId;
    /**
     * 发送类型
     */
    private Integer messageType;
    /**
     * 语言
     */
    private String language;

}
